Skip to content
Docs

Retrieve a list of projects

GEThttps://api.vercel.com/v10/projects
Allows to retrieve the list of projects of the authenticated user or team. The list will be paginated and the provided query parameters allow filtering the returned projects.
https://api.vercel.com/v10/projects
const response = await fetch('https://api.vercel.com/v10/projects?from=string&gitForkProtection=string&limit=string&search=string&repo=string&repoId=string&repoUrl=string&excludeRepos=string&edgeConfigId=string&edgeConfigTokenId=string&deprecated=true&elasticConcurrencyEnabled=string&staticIpsEnabled=string&buildMachineTypes=string&buildQueueConfiguration=string&teamId=string&slug=string', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
[
{
"accountId": "example_id",
"creator": {
"type": "user",
"via": {
"type": "app",
"app": {
"id": "icfg_1234567890",
"clientId": "example_id"
}
},
"user": {
"id": "icfg_1234567890"
}
},
"alias": [
{
"configuredBy": "A",
"configuredChangedAt": "123",
"createdAt": "123",
"deployment": {
"id": "icfg_1234567890",
"alias": [],
"aliasAssigned": "123",
"aliasError": {
"code": "string",
"message": "string"
},
"aliasFinal": "string",
"automaticAliases": [],
"branchMatcher": {
"type": "endsWith",
"pattern": "string"
},
"buildingAt": "123",
"builds": [
{
"use": "string",
"src": "string",
"dest": "string"
}
],
"checksConclusion": "canceled",
"checksState": "completed",
"connectBuildsEnabled": "false",
"connectConfigurationId": "example_id",
"createdAt": "123",
"createdIn": "string",
"creator": {
"email": "user@example.com",
"githubLogin": "string",
"gitlabLogin": "string",
"uid": "example_id",
"username": "string"
},
"deletedAt": "123",
"deploymentHostname": "Example Name",
"forced": "false",
"name": "Example Name",
"meta": "value",
"monorepoManager": "string",
"oidcTokenClaims": {
"iss": "string",
"sub": "string",
"scope": "string",
"aud": "string",
"owner": "string",
"owner_id": "example_id",
"project": "string",
"project_id": "example_id",
"environment": "string",
"custom_environment_id": "example_id",
"mfe_group_ids": [],
"plan": "string"
},
"plan": "enterprise",
"previewCommentsEnabled": "false",
"private": "false",
"readyAt": "123",
"readyState": "BLOCKED",
"readySubstate": "PROMOTED",
"requestedAt": "123",
"target": "string",
"teamId": "example_id",
"type": "LAMBDAS",
"url": "https://example.com",
"userId": "example_id",
"withCache": "false"
},
"domain": "string",
"environment": "preview",
"gitBranch": "string",
"redirect": "string",
"redirectStatusCode": "301",
"target": "PREVIEW"
}
],
"analytics": {
"id": "icfg_1234567890",
"canceledAt": "123",
"disabledAt": "123",
"enabledAt": "123",
"paidAt": "123",
"sampleRatePercent": "123",
"spendLimitInDollars": "123"
},
"appliedCve55182Migration": "false",
"autoExposeSystemEnvs": "false",
"autoAssignCustomDomains": "false",
"autoAssignCustomDomainsUpdatedBy": "string",
"buildCommand": "string",
"commandForIgnoringBuildStep": "string",
"customerSupportCodeVisibility": "false",
"createdAt": "123",
"devCommand": "string",
"directoryListing": "false",
"deploymentExpiration": {
"expirationDays": "123",
"expirationDaysProduction": "123",
"expirationDaysCanceled": "123",
"expirationDaysErrored": "123",
"deploymentsToKeep": "123"
},
"installCommand": "string",
"ipBuckets": [
{
"bucket": "string",
"default": "false",
"supportUntil": "123"
}
],
"env": [
{
"target": [],
"type": "encrypted",
"sunsetSecretId": "example_id",
"legacyValue": "string",
"decrypted": "false",
"value": "string",
"vsmValue": "string",
"id": "icfg_1234567890",
"key": "string",
"configurationId": "example_id",
"createdAt": "123",
"updatedAt": "123",
"createdBy": "string",
"updatedBy": "string",
"gitBranch": "string",
"visibility": "config",
"edgeConfigId": "example_id",
"edgeConfigTokenId": "example_id",
"contentHint": {
"type": "redis-url",
"storeId": "example_id"
},
"internalContentHint": {
"type": "flags-secret",
"encryptedValue": "string"
},
"comment": "string",
"customEnvironmentIds": []
}
],
"framework": "actix-web",
"gitForkProtection": "false",
"id": "icfg_1234567890",
"latestDeployments": [
{
"id": "icfg_1234567890",
"alias": [],
"aliasAssigned": "123",
"aliasError": {
"code": "string",
"message": "string"
},
"aliasFinal": "string",
"automaticAliases": [],
"branchMatcher": {
"type": "endsWith",
"pattern": "string"
},
"buildingAt": "123",
"builds": [
{
"use": "string",
"src": "string",
"dest": "string"
}
],
"checksConclusion": "canceled",
"checksState": "completed",
"connectBuildsEnabled": "false",
"connectConfigurationId": "example_id",
"createdAt": "123",
"createdIn": "string",
"creator": {
"email": "user@example.com",
"githubLogin": "string",
"gitlabLogin": "string",
"uid": "example_id",
"username": "string"
},
"deletedAt": "123",
"deploymentHostname": "Example Name",
"forced": "false",
"name": "Example Name",
"meta": "value",
"monorepoManager": "string",
"oidcTokenClaims": {
"iss": "string",
"sub": "string",
"scope": "string",
"aud": "string",
"owner": "string",
"owner_id": "example_id",
"project": "string",
"project_id": "example_id",
"environment": "string",
"custom_environment_id": "example_id",
"mfe_group_ids": [],
"plan": "string"
},
"plan": "enterprise",
"previewCommentsEnabled": "false",
"private": "false",
"readyAt": "123",
"readyState": "BLOCKED",
"readySubstate": "PROMOTED",
"requestedAt": "123",
"target": "string",
"teamId": "example_id",
"type": "LAMBDAS",
"url": "https://example.com",
"userId": "example_id",
"withCache": "false"
}
],
"link": {
"org": "string",
"repoOwnerId": "123",
"repo": "string",
"repoId": "123",
"type": "github",
"createdAt": "123",
"deployHooks": [
{
"createdAt": "123",
"id": "icfg_1234567890",
"name": "Example Name",
"ref": "string",
"url": "https://example.com"
}
],
"gitCredentialId": "example_id",
"updatedAt": "123",
"sourceless": "false",
"productionBranch": "string"
},
"name": "Example Name",
"nodeVersion": "10.x",
"outputDirectory": "string",
"passwordProtection": "value",
"passport": {
"deploymentType": "all",
"connectorId": "example_id"
},
"resourceConfig": {
"elasticConcurrencyEnabled": "false",
"fluid": "false",
"functionDefaultRegions": [],
"functionDefaultTimeout": "123",
"functionDefaultMemoryType": "performance",
"functionZeroConfigFailover": "false",
"buildMachineType": "basic",
"buildMachineSelection": "elastic",
"buildMachineElasticLastUpdated": "123",
"buildMachineElasticReason": "basic-floor",
"isNSNBDisabled": "false",
"buildQueue": {
"configuration": "SKIP_NAMESPACE_QUEUE"
},
"enableFunctionsBeta": "false"
},
"rollingRelease": {
"target": "production",
"stages": [
{
"targetPercentage": "25",
"requireApproval": "false",
"duration": "600",
"linearShift": "false"
}
],
"canaryResponseHeader": "false",
"gate": {
"enabled": "false",
"checks": [
{
"type": "error-rate-5xx",
"minSampleSize": "100",
"excludeStatusCodes": [],
"excludePaths": [],
"ingestWatermarkSeconds": "30"
}
],
"failureThreshold": "3",
"windowSize": "5",
"action": "pause",
"dryRun": "false"
}
},
"rootDirectory": "string",
"serverlessFunctionRegion": "string",
"serverlessFunctionZeroConfigFailover": "false",
"speedInsights": {
"id": "icfg_1234567890",
"enabledAt": "123",
"disabledAt": "123",
"canceledAt": "123",
"hasData": "false",
"dataReceivedAt": "123",
"paidAt": "123"
},
"skipGitConnectDuringLink": "false",
"sourceFilesOutsideRootDirectory": "false",
"ssoProtection": {
"deploymentType": "all",
"cve55182MigrationAppliedFrom": "all",
"april2026SecurityIncidentMigrationAppliedFrom": "all"
},
"targets": "value",
"transferCompletedAt": "123",
"transferStartedAt": "123",
"transferToAccountId": "example_id",
"transferredFromAccountId": "example_id",
"trustedSources": {
"projects": "value",
"oidcProviders": "value"
},
"updatedAt": "123",
"live": "false",
"hasActiveBranches": "false",
"gitComments": {
"onPullRequest": "false",
"onCommit": "false"
},
"gitProviderOptions": {
"createDeployments": "disabled",
"disableRepositoryDispatchEvents": "false",
"requireVerifiedCommits": "false",
"gitCommitStatus": "false",
"consolidatedGitCommitStatus": {
"enabled": "false",
"propagateFailures": "false"
}
},
"paused": "false",
"webAnalytics": {
"id": "icfg_1234567890",
"disabledAt": "123",
"canceledAt": "123",
"enabledAt": "123",
"hasData": "true"
},
"security": {
"attackModeEnabled": "false",
"attackModeUpdatedAt": "123",
"firewallEnabled": "false",
"firewallUpdatedAt": "123",
"attackModeActiveUntil": "123",
"firewallConfigVersion": "123",
"firewallRoutes": [
{
"src": "string",
"tierRequirement": "advanced",
"has": [
{
"type": "cookie",
"key": "string",
"value": "string"
}
],
"missing": [
{
"type": "cookie",
"key": "string",
"value": "string"
}
],
"dest": "string",
"status": "123",
"handle": "finalize",
"mitigate": {
"action": "bypass",
"rule_id": "example_id",
"ttl": "123",
"erl": {
"algo": "fixed_window",
"window": "123",
"limit": "123",
"keys": []
},
"log_headers": []
},
"transforms": [
{
"type": "request.headers",
"op": "append",
"target": {
"key": "string"
},
"args": "string"
}
]
}
],
"rulesets": "value",
"firewallSeawallEnabled": "false",
"ja3Enabled": "false",
"ja4Enabled": "false",
"firewallBypassIps": [],
"managedRules": {
"vercel_ruleset": {
"active": "false",
"action": "challenge"
},
"traffic_sources": {
"active": "false",
"action": "challenge"
},
"bot_filter": {
"active": "false",
"action": "challenge"
},
"ai_bots": {
"active": "false",
"action": "challenge"
},
"owasp": {
"active": "false",
"action": "challenge"
}
},
"botIdEnabled": "false",
"requestLogsKey": [],
"log_headers": [],
"securityPlus": "false",
"securityPlusMetadata": {
"updatedAt": "123",
"firstEnabledAt": "123"
},
"pageIntegrityEnabled": "false"
},
"oidcTokenConfig": {
"enabled": "false",
"issuerMode": "global"
},
"tier": "advanced",
"abuse": {
"scanner": "string",
"history": [
{
"scanner": "string",
"reason": "Customer requested refund",
"by": "string",
"byId": "example_id",
"at": "123"
}
],
"updatedAt": "123",
"block": {
"action": "blocked",
"reason": "Customer requested refund",
"statusCode": "123",
"createdAt": "123",
"caseId": "example_id",
"actor": "string",
"comment": "string",
"ineligibleForAppeal": "false",
"isCascading": "false"
},
"blockHistory": [
{
"action": "blocked",
"reason": "Customer requested refund",
"statusCode": "123",
"createdAt": "123",
"caseId": "example_id",
"actor": "string",
"comment": "string",
"ineligibleForAppeal": "false",
"isCascading": "false"
}
],
"interstitial": "false",
"interstitialHistory": [
{
"action": "add-deployment-interstitial",
"createdAt": "123",
"caseId": "example_id",
"reason": "Customer requested refund",
"actor": "string",
"comment": "string"
}
]
},
"internalRoutes": [
{
"src": "string",
"status": "123",
"expiry": "123"
}
]
}
]
AuthorizationbearerToken

Default authentication mechanism

fromstringOptional
Query only projects updated after the given timestamp or continuation token.
gitForkProtectionstringOptional
Specifies whether PRs from Git forks should require a team member's authorization before it can be deployed
limitstringOptional
Limit the number of projects returned
repostringOptional
Filter results by repo. Also used for project count
repoIdstringOptional
Filter results by Repository ID.
repoUrlstringOptional
Filter results by Repository URL.
excludeReposstringOptional
Filter results by excluding those projects that belong to a repo
edgeConfigIdstringOptional
Filter results by connected Global Config ID
edgeConfigTokenIdstringOptional
Filter results by connected Global Config Token ID
deprecatedbooleanOptional
elasticConcurrencyEnabledstringOptional
Filter results by projects with elastic concurrency enabled
staticIpsEnabledstringOptional
Filter results by projects with Static IPs enabled
buildMachineTypesstringOptional
Filter results by effective build machine types. Accepts comma-separated values. Use "elastic" for projects with elastic selection and "default" for projects without a build machine type set.
buildQueueConfigurationstringOptional
Filter results by build queue configuration. SKIP_NAMESPACE_QUEUE includes projects without a configuration set.
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
200Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
410Error